# задание базового образа, на основе которого строится контейнер.
# в данном случае slim версия, , которая содержит минимальные необходимые 
# компоненты для запуска Python, что уменьшает размер контейнера.
FROM python:3.9-slim 

# задание рабочей директории внутри контейнера.
WORKDIR /app

# перемещение файлов из хоста в контейнер.
COPY generate_files.py /app/

# команда, выполняющаяся при запуске контейнера.
CMD ["python", "generate_files.py"]